Get a user
import requests
url = "https://{FUSION HOST}/api/users/{id}"
response = requests.get(url)
print(response.text){
"id": "fe0885f2-8885-4c46-a3ea-8e5d0041c293",
"username": "1new-user-test",
"realmName": "native",
"createdAt": "2025-10-30T21:59:01Z",
"roleNames": [
"search",
"developer"
],
"timezone": "Mountain Time (US & Canada)",
"permissions": [
{
"methods": [
"GET",
"PUT",
"POST"
]
}
]
}Get a user
Fetch the details about the user with the specified ID.
GET
/
users
/
{id}
Get a user
import requests
url = "https://{FUSION HOST}/api/users/{id}"
response = requests.get(url)
print(response.text){
"id": "fe0885f2-8885-4c46-a3ea-8e5d0041c293",
"username": "1new-user-test",
"realmName": "native",
"createdAt": "2025-10-30T21:59:01Z",
"roleNames": [
"search",
"developer"
],
"timezone": "Mountain Time (US & Canada)",
"permissions": [
{
"methods": [
"GET",
"PUT",
"POST"
]
}
]
}Path Parameters
The user ID. Note that this is different than the username. Use GET /users to get the list of user IDs.
Response
Successful operation
Example:
"fe0885f2-8885-4c46-a3ea-8e5d0041c293"
Example:
"admin"
Example:
"ldap-internal"
Example:
"2025-09-23T17:48:07Z"
Example:
"2025-10-31T12:28:04Z"
Indicates which roles are dynamically applied to users in the realm.
Example:
["search", "developer"]Example:
"Pacific Time (US & Canada)"
Show child attributes
Show child attributes
Was this page helpful?
⌘I